<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <gazelle:div id="globalDiv">
                <h1>
                    <h:outputText value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.name}"
                                  rendered="#{not empty fhirResourceValidatorDescriptionEdition.validatorDescription.name}"/>
                    <h:outputText value="New FHIR Validator Description"
                                  rendered="#{empty fhirResourceValidatorDescriptionEdition.validatorDescription.name}"/>
                </h1>
                <gri:panel pid="displayP">
                    <f:facet name="header">Validation description</f:facet>
                    <gazelle:div styleClass="form-horizontal">
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Name</ui:define>
                            <ui:param name="id" value="nameIn"/>
                            <h:inputText id="nameIn" styleClass="form-control"
                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.name}"
                                         required="true"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">OID</ui:define>
                            <ui:param name="id" value="oidIn"/>
                            <h:inputText id="oidIn" styleClass="form-control"
                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.oid}"
                                         required="true">
                                <f:validateRegex pattern="^([0-2])((\.0)|(\.[1-9][0-9]*))*$"/>
                            </h:inputText>
                        </ui:decorate>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Profile keyword</ui:define>
                            <ui:param name="id" value="profileIn"/>
                            <h:inputText id="profileIn" styleClass="form-control"
                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.profile}"
                                         required="true"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Descriminator</ui:define>
                            <ui:param name="id" value="descIn"/>
                            <h:inputText id="descIn" styleClass="form-control"
                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.descriminator}"
                                         required="true"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Available ?</ui:define>
                            <ui:param name="id" value="availableIn"/>
                            <h:selectBooleanCheckbox id="availableIn"
                                                     value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.available}"/>
                        </ui:decorate>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Execute schema validation ?</ui:define>
                            <ui:param name="id" value="schemavalIn"/>
                            <h:selectBooleanCheckbox id="schemavalIn"
                                                     value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.executeSchemaValidation}"
                                                     render="globalDiv"
                            />
                        </ui:decorate>

                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Use IG FHIR Server ?</ui:define>
                            <ui:param name="id" value="igFhirServer"/>
                            <h:selectBooleanCheckbox id="igFhirServer"
                                                     value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                                <a4j:ajax event="change" render="globalDiv"/>
                            </h:selectBooleanCheckbox>
                        </ui:decorate>

                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">Execute schematron validation ?</ui:define>
                            <ui:param name="id" value="schematronvalIn"/>
                            <h:selectBooleanCheckbox id="schematronvalIn"
                                                     value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.executeSchematronValidation}"
                            />
                        </ui:decorate>
                        <gazelle:div rendered="#{not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">Path to structure definition</ui:define>
                                <ui:param name="id" value="structdefIn"/>
                                <h:inputText id="structdefIn" styleClass="form-control"
                                             value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.customStructureDefinition}"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">Path to structure context</ui:define>
                                <ui:param name="id" value="contextPath"/>
                                <h:inputText id="contextPath" styleClass="form-control"
                                             value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.contextPath}"/>
                            </ui:decorate>
                        </gazelle:div>
                        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:define name="label">URL</ui:define>
                            <ui:param name="id" value="urlIn"/>
                            <h:inputText id="urlIn" styleClass="form-control"
                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.structureDefinitionUrl}"/>
                        </ui:decorate>
                        <gazelle:div rendered="#{not fhirResourceValidatorDescriptionEdition.validatorDescription.useIGFhirService}">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">Base definition URL</ui:define>
                                <ui:param name="id" value="baseIn"/>
                                <h:inputText id="baseIn" styleClass="form-control"
                                             value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.baseDefinition}"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">Weight</ui:define>
                                <ui:param name="id" value="weightIn"/>
                                <rich:inputNumberSpinner id="weightIn"
                                                         value="#{fhirResourceValidatorDescriptionEdition.validatorDescription.weight}"/>
                            </ui:decorate>
                        </gazelle:div>
                    </gazelle:div>
                    <f:facet name="footer">

                        <h:outputLink value="#{fhirResourceValidatorDescriptionEdition.backTolist()}" styleClass="gzl-btn">
                            <h:outputText value="Back to list"/>
                        </h:outputLink>

                        <h:outputLink value="#{fhirResourceValidatorDescriptionEdition.backTolist()}" styleClass="gzl-btn-orange">
                            <h:outputText value="Cancel"/>
                        </h:outputLink>

                        <h:commandButton value="Save"
                                         action="#{fhirResourceValidatorDescriptionEdition.save()}"
                                         styleClass="gzl-btn-green"/>
                    </f:facet>
                </gri:panel>
            </gazelle:div>
        </h:form>
    </ui:define>
    <ui:param name="id" value="In"/>
</ui:composition>
